Retrieve all subscription status definitions
curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/communication-preferences/2026-03/definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/communication-preferences/2026-03/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Definitions
Retrieve all subscription status definitions
Get a list of subscription status definitions from the account.
GET
/
communication-preferences
/
2026-03
/
definitions
Retrieve all subscription status definitions
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
The date and time when the operation was completed.
An array containing the results of the operation.
Show child attributes
Show child attributes
The date and time when the operation started.
The current status of the operation, which can be PENDING, PROCESSING, CANCELED, or COMPLETE.
Available options:
CANCELED, COMPLETE, PENDING, PROCESSING An array of errors that occurred during the operation.
Show child attributes
Show child attributes
A collection of related links associated with the operation.
Show child attributes
Show child attributes
The number of errors encountered during the operation.
The date and time when the operation was requested.
Last modified on September 9, 2026
Was this page helpful?